public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/tty-reader/
Date: Sun, 16 Jun 2019 06:38:38 +0000 (UTC)	[thread overview]
Message-ID: <1560667075.125e42e1d14c876c1cf766ac4a34af864c1a5bdd.graaff@gentoo> (raw)

commit:     125e42e1d14c876c1cf766ac4a34af864c1a5bdd
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 16 05:47:56 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jun 16 06:37:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=125e42e1

dev-ruby/tty-reader: initial import of 0.6.0

Dependency for forthcoming dev-ruby/tty-prompt

Package-Manager: Portage-2.3.66, Repoman-2.3.11
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/tty-reader/Manifest                |  1 +
 dev-ruby/tty-reader/metadata.xml            | 11 +++++++++++
 dev-ruby/tty-reader/tty-reader-0.6.0.ebuild | 26 ++++++++++++++++++++++++++
 3 files changed, 38 insertions(+)

diff --git a/dev-ruby/tty-reader/Manifest b/dev-ruby/tty-reader/Manifest
new file mode 100644
index 00000000000..62f9b47a77e
--- /dev/null
+++ b/dev-ruby/tty-reader/Manifest
@@ -0,0 +1 @@
+DIST tty-reader-0.6.0.gem 24576 BLAKE2B a89c74bc97a57961c3779b96aa328b536d110517ab2663fbf566f84f434eb552f9a38dd00c644d64430a4e8806611b454ee6d46a76e9c89fb4c93c276f050eb1 SHA512 562c204f0dd43539b64bab0f55731ad8650b17d8052c245467aa60cc113e6b31998086fcb7f37f8503ec51ae4511241d5994e8ae1586ed528a07c5ebdc3fce83

diff --git a/dev-ruby/tty-reader/metadata.xml b/dev-ruby/tty-reader/metadata.xml
new file mode 100644
index 00000000000..06cd0299411
--- /dev/null
+++ b/dev-ruby/tty-reader/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version='1.0' encoding='UTF-8'?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>ruby@gentoo.org</email>
+		<name>Gentoo Ruby Project</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">piotrmurach/tty-reader</remote-id>
+	</upstream>
+</pkgmetadata>

diff --git a/dev-ruby/tty-reader/tty-reader-0.6.0.ebuild b/dev-ruby/tty-reader/tty-reader-0.6.0.ebuild
new file mode 100644
index 00000000000..fc3d35c8c41
--- /dev/null
+++ b/dev-ruby/tty-reader/tty-reader-0.6.0.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="A set of methods for processing keyboard input in character, line and multiline modes"
+HOMEPAGE="https://github.com/piotrmurach/tty-reader"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+	echo '-rspec_helper' > .rspec || die
+}


             reply	other threads:[~2019-06-16  6:38 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-16  6:38 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-06-17  8:37 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/tty-reader/ Hans de Graaff
2019-06-17  8:37 Hans de Graaff
2019-11-25  6:22 Hans de Graaff
2020-07-05  4:58 Hans de Graaff
2020-09-07  7:59 Hans de Graaff
2020-12-09  6:30 Hans de Graaff
2021-07-06 10:26 Hans de Graaff
2021-07-06 10:26 Hans de Graaff
2021-08-03 15:42 Marek Szuba
2021-08-17 18:56 Sam James
2021-09-09  4:22 Sam James
2021-09-15  2:32 Sam James
2021-09-27  5:08 Sam James
2021-10-10  0:05 Sam James
2021-10-10  0:05 Sam James
2021-12-31 20:07 Matt Turner
2022-01-03  9:41 Jakov Smolić
2022-04-18  6:20 Hans de Graaff
2023-03-18  0:02 Sam James
2024-01-01  8:07 Hans de Graaff
2024-05-26  9:26 Hans de Graaff
2024-07-11 16:19 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1560667075.125e42e1d14c876c1cf766ac4a34af864c1a5bdd.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox